/**************************************************/
/******************* RESETEADOR *******************/
/**************************************************/

/* http://meyerweb.com/eric/tools/css/reset/ v2.0 */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

/* Old browsers / Para viejos exploradores */

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
    display: block;
}

body {
    line-height: 1.5;
}

ol, ul {
    list-style: none;
}

blockquote, q {
    quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

/**************************************************/

body * {
  font-family: AlegreyaSansRegular, sans-serif;
  line-height: 1.15;
  font-weight: normal;
  font-style: normal; 
}

body b {
  font-family: "AlegreyaSansBold", sans-serif;
  font-weight: bold;
  font-style: normal;
}

body i {
  font-family: "AlegreyaSansItalic", sans-serif;
  font-weight: normal;
  font-style: italic;
}

body a {
  text-decoration: none;
}

body span.icon {
  padding-right: .25rem;
}

header {
  width: 100%;
  height: 20rem;
  background-image: url('../img/banner_color.jpg');
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  align-items: center;
  justify-content: center;
}

header > img {
  display: block;
  height: 200px; 
  width: auto;
  margin: auto;
}

nav, footer {
  position: -webkit-sticky; /* Safari */
  position: sticky;
  top: 0;
  background-color: rgb(32,100,145);
  color: white;
  padding: 1rem;
}

nav {
  margin-bottom: 2rem;
  font-size: 1.25rem;
}

nav a, footer a {
  color: white;
}

nav li {
  display: inline;
}

nav li:not(:first-of-type) {
  margin-left: 1rem;
}

nav input#search-bar {
	display: inline-block;
	border-radius: 1rem;
	padding: .15rem .5rem;
	border: none;
	width: 200px;
	box-sizing: border-box;
	color: #2e2e2e;
}

nav input#search-bar:focus {
  outline: none;
}

section {
  max-width: 40rem;
  margin: auto;
  padding: 0 1rem;
}

section > h1 {
  font-size: 2rem;
  margin-top: 2rem;
}

section > h1 + p {
  margin-top: 1rem;
}

li.project {
  scroll-margin-top: 5rem;
  padding-top: 1rem;
}

li.project:not(:first-of-type) {
  margin-top: 1rem;
}

li.project + li.project {
  border-top: 1px dashed black;
}

li.project h1 {
  font-size: 1.5rem;
}

li.project a.anchor {
  font-size: 1rem;
  padding-right: .5rem;
}

li.project p.dates {
  color: gray;
}

li.project p.dates:before {
  content: "📅";
  padding-right: .5rem;
}

li.project span.created:before {
  content: "Creado: ";
}

li.project span.updated:before {
  content: "Actualizado: ";
  padding-left: 1rem;
}

li.project p:not(:first-of-type) {
  margin-top: 1rem;
}

li.project a.link {
  display: table-cell;
  padding-right: .5em;
}

footer {
  margin-top: 2rem;
  padding: 1em 25%;
  text-align: center;
}
